# $Revision: 1.60 $, $Date: 2012/06/28 15:41:33 $
#
# Conditional build:
%bcond_without	kerberos5	# build without Kerberos support

Summary:	An enhanced implementation of the mailx command
Summary(pl.UTF-8):	Rozszerzona implementacja komendy mailx
Name:		mailx
Version:	12.4
Release:	4
License:	BSD
Group:		Applications/Mail
Source0:	http://downloads.sourceforge.net/heirloom/%{name}-%{version}.tar.bz2
# Source0-md5:	0c93759e34200eb56a0e7c464680a54a
Patch0:		%{name}-bsdcompat.patch
Patch1:		%{name}-use-krb5-gss.patch
Patch2:		%{name}-openssl-nss.patch
Patch3:		%{name}-openssl.patch
Patch4:		%{name}-ipv6.patch
Patch5:		%{name}-pager.patch
URL:		http://heirloom.sourceforge.net/mailx.html
%if %{with kerberos5}
BuildRequires:	heimdal-devel
%else
BuildConflicts:	heimdal-devel
BuildConflicts:	krb5-devel
%endif
BuildRequires:	openssl-devel >= 0.9.7d
Obsoletes:	nail
Obsoletes:	nail-mail
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Heirloom mailx is derived from Berkeley Mail and is intended provide
the functionality of the POSIX mailx command with additional support
for MIME messages, IMAP, POP3, and SMTP. It provides enhanced features
for interactive use, such as caching and disconnected operation for
IMAP, message threading, scoring, and filtering. It is also usable as
a mail batch language, both for sending and receiving mail.

%description -l pl.UTF-8
Heirloom mailx został stworzony na podstawie Berkeley Mail z zamysłem
dostarczenia funkcjonalnosci komendy POSIX mailx z dodatkowym
wsparciem dla MIME, IMAP, POP3 i SMTP. Nail dostacza rozszerzone
możliwości przy pracy interaktywnej, takie jak odłączone operacje dla
IMAP, wątkowanie wiadomości, punktacja i filtrowanie.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags}" \
	MAILRC=/etc/mail.rc \
	MAILSPOOL=/var/mail \
	SENDMAIL=/usr/lib/sendmail

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1,/etc/skel,/bin}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	MAILRC=/etc/mail.rc \
	UCBINSTALL=/usr/bin/install \
	PREFIX=%{_prefix} \
	BINDIR=/bin

install nail.rc $RPM_BUILD_ROOT/etc/skel/.mailrc

ln -sf mailx $RPM_BUILD_ROOT/bin/mail
ln -sf ../../bin/mail $RPM_BUILD_ROOT%{_bindir}/Mail
ln -sf ../../bin/mail $RPM_BUILD_ROOT%{_bindir}/nail

echo .so mailx.1 > $RPM_BUILD_ROOT%{_mandir}/man1/Mail.1
echo .so mailx.1 > $RPM_BUILD_ROOT%{_mandir}/man1/mail.1
echo .so mailx.1 > $RPM_BUILD_ROOT%{_mandir}/man1/nail.1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README TODO
%config(noreplace) %verify(not md5 mtime size) /etc/mail.rc

/etc/skel/.mailrc

%attr(755,root,root) /bin/mail*
%attr(755,root,root) %{_bindir}/[Mn]ail
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: mailx.spec,v $
Revision 1.60  2012/06/28 15:41:33  hawk
- release 4

Revision 1.59  2011/08/02 23:17:23  baggins
- release 3

Revision 1.58  2011/04/05 11:23:00  jajcus
- without_kerberos5 bcond added

Revision 1.57  2010/10/04 18:26:22  baggins
- rel 2

Revision 1.56  2010/04/14 11:32:33  baggins
- rel 1

Revision 1.55  2010/04/14 11:28:22  baggins
- install all symlinks in proper places

Revision 1.54  2010/04/14 11:17:25  baggins
- use less as default pager

Revision 1.53  2010/04/14 11:15:48  baggins
- fix building with openssl 1.0.0
- prefer openssl over NSS
- enable ipv6 support

Revision 1.52  2010/04/14 11:00:47  glen
- version is 12.4, not 24.4

Revision 1.51  2010/04/14 10:59:49  glen
- adapter. typo

Revision 1.50  2010/04/14 10:24:53  baggins
- it's time fo the 14 years old BSD mailx to die
- we use Heirloom mailx (previously known as nail) from now on

Revision 1.49  2008/05/28 18:59:18  glen
- release 34

Revision 1.48  2008-05-28 18:58:24  glen
- rel 33 for fc2 upgrade

Revision 1.47  2008-01-15 17:49:22  baggins
- rel 28
- back to obsoletes (I admire the utter stupidity of putting conflict there,
  have you ever tried to replace nail-mail with mailx?)

Revision 1.46  2007/08/06 12:57:17  patrys
- don't obsolete, conflict

Revision 1.45  2007/02/13 06:46:53  glen
- tabs in preamble

Revision 1.44  2007/02/12 00:49:07  baggins
- converted to UTF-8

Revision 1.43  2005/12/07 11:53:46  baggins
- release 26
- obsolete nail-mail

Revision 1.42  2005/05/04 22:46:29  adamg
- add -gcc4.patch
- pass CC
- release 25 for Th

Revision 1.41  2004/09/25 11:20:53  radek
- cosmetics (spaces -> tabs)

Revision 1.40  2004/01/27 10:39:41  jajcus
- Release: 24
- -date.patch fixed so proper headers are included
- -kill_warnings.patch - fixes other warnings including missing prototypes
  which could cause crash on AMD64

Revision 1.39  2003/08/30 22:39:45  mmazur
- rel 23 for ac

Revision 1.38  2003/05/25 11:00:54  malekith
- massive attack, adding Source-md5

Revision 1.37  2003/05/25 05:50:24  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.36  2002/02/23 03:44:47  kloczek
- adapterized.

Revision 1.35  2002/02/22 23:29:14  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.34  2002/01/18 02:13:48  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.33  2001/11/21 17:12:19  ankry
- added pl man page
- release 22

Revision 1.32  2001/05/02 21:51:23  qboosh
- adapterized and made spec %debug ready or added using %rpm*flags macros

Revision 1.31  2001/03/07 16:17:07  kloczek
- release 21,
- merged siglj, environ (merged in this patch also bug15728 patch) and
  bug10074 rawhide patches,
- added version patch with fix raported mailx version (8.1.1 instead 8.1).

Revision 1.30  2001/03/06 16:41:29  zagrodzki
- release 18
- added Date field patch

Revision 1.29  2000/12/14 20:57:07  waszi
- typo

Revision 1.28  2000/12/14 12:58:28  jajcus
- typo

Revision 1.27  2000/12/14 12:51:13  jajcus
- Release: 17
- no more localized /etc/skel
- /etc/skel should not be owned by mailx

Revision 1.26  2000/10/04 16:18:26  zagrodzki
- patched pathnames

Revision 1.25  2000/10/04 15:43:39  zagrodzki
- release 16

Revision 1.24  2000/08/11 13:35:45  kloczek
- release 15 (in rawhide is 14),
- spec adapterized,
- more rpm macros in %install,
- some cosmetics.

Revision 1.23  2000/08/11 13:05:23  kravietz
- added miscellaneous patches from RawHide and Debian
  release++

Revision 1.22  2000/08/09 13:23:16  kravietz
- release++

Revision 1.21  2000/08/09 13:20:49  kravietz
- security patch

Revision 1.20  2000/06/09 07:23:25  kloczek
- added using %{__make} macro.

Revision 1.19  2000/04/13 08:41:21  zagrodzki
- URL for source files

Revision 1.18  2000/04/01 11:14:53  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.17  2000/03/28 16:54:41  baggins
- translated kloczkish into english

Revision 1.16  1999/07/12 23:06:07  kloczek
- added using CVS keywords in %changelog (for automating them).
